Debian Bug report logs - #87667
ITP: gstreamer -- streaming media framework

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "David I. Lehn" <dlehn@vt.edu>

Date: Mon, 26 Feb 2001 01:49:15 UTC

Severity: wishlist

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David I. Lehn" <dlehn@vt.edu>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "David I. Lehn" <dlehn@vt.edu>
To: submit@bugs.debian.org
Subject: ITP: gstreamer -- streaming media framework
Date: Sun, 25 Feb 2001 20:41:49 -0500
Package: wnpp
Severity: wishlist

URL:
http://gstreamer.net/

Description: (from the web site)
GStreamer allows the construction of graphs of media-handling
components, ranging from simple mp3 playback to complex audio (mixing)
and video (non-linear editing) processing. Applications can take
advantage of advances in codec and filter technology transparently.
Developers can add new codecs and filters by writing a simple plugin
with a clean, generic interface.

License:
GStreamer is released under the LGPL, with many of the included plugins
retaining the license of the code they were derived from, usually GPL or
BSD.

I'm going through the new maintainer process.  I've done most of the
packaging already and put the debian packaging files in CVS.  Still a
few problems and lintian issues to deal with.

-dave
-- 
David I. Lehn <dlehn@vt.edu>  | http://www.lehn.org/~dlehn/
Computer Engineering Graduate @ Virginia Tech in sunny Blacksburg, VA



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 87667@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: "David I. Lehn" <dlehn@vt.edu>, 87667@bugs.debian.org
Subject: Still packaging gstreamer?
Date: Sun, 17 Jun 2001 21:07:16 -0400
Are you still working on packaging Gstreamer?  If not, I'm interested in taking
it over.

-- 
 - mdz




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #15 received at 87667@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: "David I. Lehn" <dlehn@vt.edu>, 87667@bugs.debian.org
Subject: Re: Still packaging gstreamer?
Date: Sun, 17 Jun 2001 21:10:41 -0400
On Sun, Jun 17, 2001 at 09:07:16PM -0400, Matt Zimmerman wrote:

> Are you still working on packaging Gstreamer?  If not, I'm interested in
> taking it over.

I just noticed that you're not yet an official maintainer.  Do you need a
sponsor for this package?  I would like to see it in Debian.

-- 
 - mdz




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David I. Lehn" <dlehn@vt.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 87667@bugs.debian.org (full text, mbox):

From: "David I. Lehn" <dlehn@vt.edu>
To: Matt Zimmerman <mdz@debian.org>
Cc: 87667@bugs.debian.org
Subject: Re: Still packaging gstreamer?
Date: Wed, 20 Jun 2001 18:13:18 -0400
* Matt Zimmerman <mdz@debian.org> [20010617 21:11]:
> On Sun, Jun 17, 2001 at 09:07:16PM -0400, Matt Zimmerman wrote:
> 
> > Are you still working on packaging Gstreamer?  If not, I'm interested in
> > taking it over.
> 
> I just noticed that you're not yet an official maintainer.  Do you need a
> sponsor for this package?  I would like to see it in Debian.
> 

Oops, sorry for not getting back to you sooner.

Yeah I'm still working on it.  Took a while due to school distractions,
the complexity of this damn thing <g>, and me hacking on gstreamer
itself rather than doing the packaging. ;)

I put the debs up for download the other day:

http://gstreamer.net/releases/current/debian/

I've got some more changes and fixes going up soon.  Haven't put the
latest debian control info into gst cvs yet either.  Kind of hard to do
that since by the time I get it packaged these guys already have new
plugins written.  ;)  Should probably be maintaining main release and
cvs versions or something...  will stabalize sometime I suppose.

There are some issues left.  Like some weird lintian errors about PIC
code on just about every plugin.  Tried to figure that out a couple
months ago with no luck.  Something to do with a failure in a grep of
objdump output.  Shared lib details a little too low level for me I'm
afraid.  I should ask debian-mentors about it.  Also a bunch of warnings
about .so links in non-dev packages.  Will have to override that since
that's the way the gstreamer people want plugins to be (versioned
instead of just the .so).

The LAME plugin will have to be excluded from archives I guess.  I also
need to ITP and package up mpeg2dec (for libmpeg2) so the mpeg2dec
plugin can depend on it.  It's a small package so should be a quick job.

And I suppose I'll get yelled at for the plugin package explosion... not
sure how else to deal with this monster.

Yeah, I'm interested in a sponser.  I've been slacking on getting
through the new maintainer queue.  I really need to get that done soon.
Still need my key signed... will probably get that done at OLS.

-dave
-- 
David I. Lehn <dlehn@vt.edu>  | http://www.lehn.org/~dlehn/
Computer Engineering Graduate @ Virginia Tech in sunny Blacksburg, VA



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matt Zimmerman <mdz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #25 received at 87667@bugs.debian.org (full text, mbox):

From: Matt Zimmerman <mdz@debian.org>
To: "David I. Lehn" <dlehn@vt.edu>
Cc: 87667@bugs.debian.org
Subject: Re: Still packaging gstreamer?
Date: Thu, 21 Jun 2001 18:49:13 -0400
On Wed, Jun 20, 2001 at 06:13:18PM -0400, David I. Lehn wrote:

> I put the debs up for download the other day:
> 
> http://gstreamer.net/releases/current/debian/

I've looked over these packages; see comments below.

> I've got some more changes and fixes going up soon.  Haven't put the
> latest debian control info into gst cvs yet either.  Kind of hard to do
> that since by the time I get it packaged these guys already have new
> plugins written.  ;)  Should probably be maintaining main release and
> cvs versions or something...  will stabalize sometime I suppose.

It can be difficult to try to maintain Debian packaging infrastructure in line
with actual development of the software.  The usual approach is to sync the
packaging to official releases and maintain it on a branch, so that
packaging-specific changes can be pushed out without need for a complete
release.

> There are some issues left.  Like some weird lintian errors about PIC
> code on just about every plugin.  Tried to figure that out a couple
> months ago with no luck.  Something to do with a failure in a grep of
> objdump output.  Shared lib details a little too low level for me I'm
> afraid.  I should ask debian-mentors about it.  Also a bunch of warnings
> about .so links in non-dev packages.  Will have to override that since
> that's the way the gstreamer people want plugins to be (versioned
> instead of just the .so).

lintian tries to verify that .so objects were compiled with -fPIC, as is
required for proper shared library operation.  It has been mistaken in the
past, but I think it's pretty reliable now.  You should double-check that every
object that is going into the .so was compiled with -fPIC.  automake/libtool
mostly take care of this, but it is easy to accidentally slip in non-PIC code.

Since they will never be dynamically linked, I assume (only dlopen()ed), for
what reason do they want to version them?  If the idea is to keep track of the
versions of individual plugins, I recommend using the -release flag to libtool,
which will give names like "libgstriff-0.2.0.so" or what have you.

> And I suppose I'll get yelled at for the plugin package explosion... not sure
> how else to deal with this monster.

I don't think anyone would scream too loudly if you just rolled all of the
plugins into one binary package.  If plugins can be disabled, or gstreamer can
otherwise function alright without loading all of them, you can simply demote
the plugins' dependencies to Recommends, allowing the user to exclude them if
they want to.  That would be preferable to having twentysomething plugin
packages, in my opinion.

> Yeah, I'm interested in a sponser.  I've been slacking on getting through the
> new maintainer queue.  I really need to get that done soon.  Still need my
> key signed... will probably get that done at OLS.

Once you have something that you feel is ready for release into Debian, let me
know, and I'll check it over and sponsor the upload.

Good luck!

-- 
 - mdz




Message sent on to "David I. Lehn" <dlehn@vt.edu>:
Bug#87667. Full text and rfc822 format available.

Message #28 received at 87667-submitter@bugs.debian.org (full text, mbox):

From: Robert Bihlmeyer <robbe@orcus.priv.at>
To: 87667-submitter@bugs.debian.org
Cc: Matt Zimmerman <mdz@debian.org>
Subject: gstreamer Debian packages
Date: 04 Jul 2001 19:05:11 +0200
Hi David,

I had a look at your gstreamer packages, and they look pretty good.

A couple of issues:

* Build-depends:

"libsdl1.1-dev" should be "libsdl1.2-dev" now. No other changes needed
for that, AFAICS

The "| libasound2-dev (>= 0.9)" should be removed for now, as building
with that will make the -alsa package come out empty (configure says
that alsa 0.9 is not yet supported, therefore the plugin is disabled).

* Depends:

libgstmediaplay0 does not really depend on all the stuff, does it? Was
this an attempt to pull in a "typical" plugin set-up?

You say yourself that the deps need to be sourted out. My experience
was that shlibdeps did a lot already. I had no (obvious) problems due
to non-existing deps.

* Descriptions

are pretty terse at the moment, they should be beefed up. E.g. I
should be able to figure out which ones I need to play mpeg video.

* Problems that are really upstream (i.e. outside the packaging)

The media player (any frontend, really) should be more verbose if a
plugin is needed but not provided. Currently, trying to play an
unknown file, it just sits there. Most friendly would be if it
actually told you what plugins you could install (although that breaks
modularity somewhat).

I hate to say it but lintian is correct about the PIC code. After some
digging, the blame lies on the asm files used in a few plugins.
Although libtool is used which religiously passes -fPIC to gcc, that
flag is really only relevant in the C -> Assembler step. Hand-crafted
assembler code needs to heed PIC conventions. I only checked one file
(plugins/mp3decode/mpg123/decode_i586.s), and this one does not (it
accesses its data directly).

I have yet to play a mpeg movie successfully ...

* Copyright

I didn't thoroughly check the various bits, but this one is definitely
a problem (cited from plugins/mp3decode/mpg123/COPYING):

--cut--
Note about the mpg123 licens!

We have permission to release mpg123 source inside xmms as GPL! Using
mpg123 source (at least in a commercial environment) may infringe 3rd
party patents. Also Michael Hipp (hippm@informatik.uni-tuebingen.de) would
like to know if you modify this sourcecode. send him an email if you do,
he would like to have an eye on external developments.

Happy playing!
--cut--

This exception obviously does not apply (gstreamer != xmms).

Apart from this last problem (where the easiest resolution would be to
not build the mpg123 plugin, or see whether it can go into non-free),
I wouldn't say that there are show-stoppers for putting the packages
into Debian proper. Of course that's your call (and Matt's, if he
sponsors you).

Thanks for your work!

-- 
Robbe



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #33 received at 87667@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: 87667@bugs.debian.org
Subject: need glib2.0?
Date: Thu, 10 Jan 2002 10:44:44 +0100
Hello!

I noticed the upstream gstreamer website says:

* Based on GLib 2.0 object model for object-oriented design and inheritance

Maybe you need to submit a wishlist bug on glib to request
version 2.0 being packaged. I hope that you're in time for the
woody freeze.

Also noticed the URL you mentioned:

http://gstreamer.net/releases/current/debian/

is not there anymore, could you provide another download location
to get your preliminar packages?

thanks very much, and keep up the good work!

-- 
----------------------------------------------------
Robert Millan          Debian/GNU user
zeratul2 wanadoo es    http://getyouriso.dyndns.org/
----------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joshua Haberman <joshua@haberman.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #38 received at 87667@bugs.debian.org (full text, mbox):

From: Joshua Haberman <joshua@haberman.com>
To: 87667@bugs.debian.org, 87667-submitter@bugs.debian.org
Subject: gstreamer packages still in preparation?
Date: Wed, 6 Mar 2002 19:45:56 -0800
Hello,

Do you still intend to package gstreamer?  Do you have test packages
anywhere?

If you're no longer interested, I may be interested in adopting this ITP.

Joshua

-- 
Joshua Haberman  <joshua@haberman.com>



Message sent on to "David I. Lehn" <dlehn@vt.edu>:
Bug#87667. Full text and rfc822 format available.

Information forwarded to wnpp@packages.qa.debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David I. Lehn" <dlehn@vt.edu>:
Extra info received and filed, but not forwarded. Copy sent to wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #46 received at 87667-quiet@bugs.debian.org (full text, mbox):

From: "David I. Lehn" <dlehn@vt.edu>
To: Joshua Haberman <joshua@haberman.com>, 87667-quiet@bugs.debian.org
Subject: Re: Bug#87667: gstreamer packages still in preparation?
Date: Thu, 7 Mar 2002 01:05:17 -0500
* Joshua Haberman <joshua@haberman.com> [20020306 22:49]:
> Do you still intend to package gstreamer?  Do you have test packages
> anywhere?
> 
> If you're no longer interested, I may be interested in adopting this ITP.
> 

Yeah, it's been packaged for a while.

http://gstreamer.net/releases/debian/

New release coming out in next day or so.  After I get that packaged up
I should really get this in the main archives.  I'm still not an
official developer yet so I need to find a sponsor.

If you have any feedback on the packages I'd be interested in hearing
it.  The whole mass of plugin packages is kind of ugly imho.  But I'm
not sure how else to deal with it.  Suggestions welcome.

-dave
-- 
David I. Lehn <dlehn@vt.edu>  | http://www.lehn.org/~dlehn/
Computer Engineering Graduate @ Virginia Tech in sunny Blacksburg, VA



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to rputters@t-online.de (Robin Putters):
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #51 received at 87667@bugs.debian.org (full text, mbox):

From: rputters@t-online.de (Robin Putters)
To: Debian GTK-GNOME list <debian-gtk-gnome@lists.debian.org>
Cc: 87667@bugs.debian.org
Subject: Re: Gnome 2 summary 12/06/2002
Date: 12 Jun 2002 17:52:03 +0200
On Wed, 2002-06-12 at 15:46, Christian Marillat wrote:
> 
> |  |o|gstreamer           |0.3.4    |         |87667                         |

Is anyone willing to sponsor the upload for this guy? I'd like to see
the packages uploaded to unstable, so I can package rhythmbox
(http://www.rhythmbox.org/), it rules :)...

If the packages is no longer willing to package gstreamer, I'm
interested in taking over...

Robin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bastien Nocera <hadess@hadess.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #56 received at 87667@bugs.debian.org (full text, mbox):

From: Bastien Nocera <hadess@hadess.net>
To: Robin Putters <rputters@t-online.de>
Cc: Debian GTK-GNOME list <debian-gtk-gnome@lists.debian.org>, 87667@bugs.debian.org
Subject: Re: Gnome 2 summary 12/06/2002
Date: 12 Jun 2002 16:59:46 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2002-06-12 at 16:52, Robin Putters wrote:
> On Wed, 2002-06-12 at 15:46, Christian Marillat wrote:
> > 
> > |  |o|gstreamer           |0.3.4    |         |87667                         |
> 
> Is anyone willing to sponsor the upload for this guy? I'd like to see
> the packages uploaded to unstable, so I can package rhythmbox
> (http://www.rhythmbox.org/), it rules :)...

I said I would sponsor the package, I pointed the packager to some
things I'd like changed. I'll probably get to upload 0.4.0 when it's
packaged.

Cheers

-- 
/Bastien Nocera
http://hadess.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joshua Haberman <joshua@haberman.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #61 received at 87667@bugs.debian.org (full text, mbox):

From: Joshua Haberman <joshua@haberman.com>
To: 87667@bugs.debian.org, 87667-submitter@bugs.debian.org
Subject: python-gstreamer?
Date: Sat, 22 Jun 2002 21:30:02 -0700
Any chance the python bindings for gstreamer could be packaged for 0.4.0?
It would be very nice, but no pressure.  :-)

Josh



Message sent on to "David I. Lehn" <dlehn@vt.edu>:
Bug#87667. Full text and rfc822 format available.

Information forwarded to wnpp@packages.qa.debian.org:
Bug#87667; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "David I. Lehn" <dlehn@vt.edu>:
Extra info received and filed, but not forwarded. Copy sent to wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #69 received at 87667-quiet@bugs.debian.org (full text, mbox):

From: "David I. Lehn" <dlehn@vt.edu>
To: Joshua Haberman <joshua@haberman.com>, 87667-quiet@bugs.debian.org
Subject: Re: Bug#87667: python-gstreamer?
Date: Wed, 26 Jun 2002 13:53:35 -0400
* Joshua Haberman <joshua@haberman.com> [20020623 00:37]:
> Any chance the python bindings for gstreamer could be packaged for 0.4.0?
> It would be very nice, but no pressure.  :-)
> 

The bindings are not in a a very polished state right now.  Mostly just
stuff I was playing around with.  Work fine for setting up pipelines but
there are serious threading issues when using callbacks into Python
code.  I suppose it wouldn't hurt to package them, as long as users know
the limitations.

-dave
-- 
David I. Lehn <dlehn@vt.edu>  | http://crib.lehn.org:8080/~dlehn/
Computer Engineering Graduate @ Virginia Tech in sunny Blacksburg, VA



Bug closed, send any further explanations to "David I. Lehn" <dlehn@vt.edu> Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:31:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.